aboutsummaryrefslogtreecommitdiffstats
path: root/bootstrap.sh
diff options
context:
space:
mode:
authorStefan Kobza <skobza@cisco.com>2016-03-01 20:47:28 +0100
committerStefan Kobza <skobza@cisco.com>2016-03-01 23:01:24 +0100
commit3a19fb6215e08e8ef432adc443bcfbe49c807ba7 (patch)
tree54b6faf7bfd04a50631c2260b121cd250c5b7cc2 /bootstrap.sh
parent1254d80a0b64985de2816eff5ef79e3e22cde972 (diff)
Install dependencies prior test execution.
Until verify_merge nodes have proper dependencies update, install the dependencies manually prior to test execution. Change-Id: I94b09b48b1b272f2bdedbb87ea35665707c581fd Signed-off-by: Stefan Kobza <skobza@cisco.com>
Diffstat (limited to 'bootstrap.sh')
-rwxr-xr-xbootstrap.sh30
1 files changed, 22 insertions, 8 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
index f28524a6d9..4911c4d5e8 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -2,7 +2,15 @@
set -x
-#sudo apt-get -y install libpython2.7-dev
+echo | sudo tee -a /etc/hostname
+echo "127.0.0.1 `cat /etc/hostname` " | sudo tee -a /etc/hosts
+
+cat /etc/hostname
+cat /etc/hosts
+
+export DEBIAN_FRONTEND=noninteractive
+sudo apt-get -y update
+sudo apt-get -y install libpython2.7-dev python-virtualenv
#VIRL_VMS="10.30.51.53,10.30.51.51,10.30.51.52"
#IFS=',' read -ra ADDR <<< "${VIRL_VMS}"
@@ -68,12 +76,18 @@ chmod 600 priv_key
# Temporarily download VPP packages from nexus.fd.io
rm -f *.deb
-wget -q "https://nexus.fd.io/service/local/repositories/fd.io.dev/content/io/fd/vpp/vpp/1.0.0-185~gca0f3b3_amd64/vpp-1.0.0-185~gca0f3b3_amd64.deb" || exit
-wget -q "https://nexus.fd.io/service/local/repositories/fd.io.dev/content/io/fd/vpp/vpp-dbg/1.0.0-185~gca0f3b3_amd64/vpp-dbg-1.0.0-185~gca0f3b3_amd64.deb" || exit
-wget -q "https://nexus.fd.io/service/local/repositories/fd.io.dev/content/io/fd/vpp/vpp-dev/1.0.0-185~gca0f3b3_amd64/vpp-dev-1.0.0-185~gca0f3b3_amd64.deb" || exit
-wget -q "https://nexus.fd.io/service/local/repositories/fd.io.dev/content/io/fd/vpp/vpp-dpdk-dev/1.0.0-185~gca0f3b3_amd64/vpp-dpdk-dev-1.0.0-185~gca0f3b3_amd64.deb" || exit
-wget -q "https://nexus.fd.io/service/local/repositories/fd.io.dev/content/io/fd/vpp/vpp-dpdk-dkms/1.0.0-185~gca0f3b3_amd64/vpp-dpdk-dkms-1.0.0-185~gca0f3b3_amd64.deb" || exit
-wget -q "https://nexus.fd.io/service/local/repositories/fd.io.dev/content/io/fd/vpp/vpp-lib/1.0.0-185~gca0f3b3_amd64/vpp-lib-1.0.0-185~gca0f3b3_amd64.deb" || exit
+if [ "${#}" -ne "0" ]; then
+ echo "let's use the parameters"
+ arr=(${@})
+ echo ${arr[0]}
+else
+ wget -q "https://nexus.fd.io/service/local/repositories/fd.io.dev/content/io/fd/vpp/vpp/1.0.0-185~gca0f3b3_amd64/vpp-1.0.0-185~gca0f3b3_amd64.deb" || exit
+ wget -q "https://nexus.fd.io/service/local/repositories/fd.io.dev/content/io/fd/vpp/vpp-dbg/1.0.0-185~gca0f3b3_amd64/vpp-dbg-1.0.0-185~gca0f3b3_amd64.deb" || exit
+ wget -q "https://nexus.fd.io/service/local/repositories/fd.io.dev/content/io/fd/vpp/vpp-dev/1.0.0-185~gca0f3b3_amd64/vpp-dev-1.0.0-185~gca0f3b3_amd64.deb" || exit
+ wget -q "https://nexus.fd.io/service/local/repositories/fd.io.dev/content/io/fd/vpp/vpp-dpdk-dev/1.0.0-185~gca0f3b3_amd64/vpp-dpdk-dev-1.0.0-185~gca0f3b3_amd64.deb" || exit
+ wget -q "https://nexus.fd.io/service/local/repositories/fd.io.dev/content/io/fd/vpp/vpp-dpdk-dkms/1.0.0-185~gca0f3b3_amd64/vpp-dpdk-dkms-1.0.0-185~gca0f3b3_amd64.deb" || exit
+ wget -q "https://nexus.fd.io/service/local/repositories/fd.io.dev/content/io/fd/vpp/vpp-lib/1.0.0-185~gca0f3b3_amd64/vpp-lib-1.0.0-185~gca0f3b3_amd64.deb" || exit
+fi
VPP_DEBS=(*.deb)
echo ${VPP_DEBS[@]}
@@ -109,7 +123,7 @@ function stop_virl_simulation {
VIRL_SID=$(ssh -i priv_key -o StrictHostKeyChecking=no \
${VIRL_USERNAME}@${VIRL_SERVER} \
- "/home/jenkins-in/testcase-infra/bin/start-testcase simple-ring ${VPP_DEBS_FULL[@]}")
+ "/home/jenkins-in/testcase-infra/bin/start-testcase -c simple-ring ${VPP_DEBS_FULL[@]}")
retval=$?
if [ "$?" -ne "0" ]; then
echo "VIRL simulation start failed"